mia-2dseries2sets
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dseries2sets

#### Sysnopis:

`mia-2dseries2sets` {-o `string`} [ `options` ...] [ `Plugin type: 2dimage/io` ...]

#### Description:

This program takes all image files that are given as free parameters on the command line and creates segmentation sets based on information found in the images. Used information is the z-location of the slice and the acquisition number. The code is tailored to use the according descriptors defined in the DICOM standard. All images with the same slice location will be grouped together in one segmentation set and ordered according to their acquisition number. Slice locations are rounded to three digits accuracy to make proper comparison of floating point values feasible.

#### Options:

-o, --out-directory=(output, required); string

  output directory (needs to exist and be writable)

--no-copy

  don't copy image files to output directory

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Create the segmentation sets from a series of DICOM images and copy the files to the output directory (copying is the default).

    mia-2dseries2sets -o /home/user/series /net/dicoms/patient1/series1/*.dcm

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseries2dordermedian | Home | mia-2dseriescorr